Altibase.jdbc.driver

## Class AltibaseXAResource

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseXAResource

All Implemented Interfaces:
  javax.transaction.xa.XAResource

    public class AltibaseXAResource
    extends java.lang.Object
    implements javax.transaction.xa.XAResource

### Field Summary

Fields
`static int` `TMASYNC` perform routine asynchronously
`static int` `TMMIGRATE` caller intends to perform migration
`static int` `TMMULTIPLE` wait for any asynchronous operation
`static int` `TMNOMIGRATE` resource manager does not support association migration
`static int` `TMNOWAIT` return if blocking condition exists
`static int` `TMREGISTER` resource manager dynamically registers.
`static int` `TMUSEASYNC` resource manager supports asynchronous operations

### Fields inherited from interface javax.transaction.xa.XAResource

`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commit(javax.transaction.xa.Xid aXid, boolean aOnePhase)`
`void` `end(javax.transaction.xa.Xid aXid, int aFlags)`
`void` `forget(javax.transaction.xa.Xid aXid)`
`int` `getTransactionTimeout()`
`boolean` `isSameRM(javax.transaction.xa.XAResource aXares)`
`int` `prepare(javax.transaction.xa.Xid aXid)`
`javax.transaction.xa.Xid[]` `recover(int aFlag)`
`void` `rollback(javax.transaction.xa.Xid aXid)`
`boolean` `setTransactionTimeout(int aSeconds)`
`void` `start(javax.transaction.xa.Xid aXid, int aFlags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TMREGISTER

    public static final int TMREGISTER

resource manager dynamically registers.

See Also:
  Constant Field Values

#### TMNOMIGRATE

    public static final int TMNOMIGRATE

resource manager does not support association migration

See Also:
  Constant Field Values

#### TMUSEASYNC

    public static final int TMUSEASYNC

resource manager supports asynchronous operations

See Also:
  Constant Field Values

#### TMASYNC

    public static final int TMASYNC

perform routine asynchronously

See Also:
  Constant Field Values

#### TMNOWAIT

    public static final int TMNOWAIT

return if blocking condition exists

See Also:
  Constant Field Values

#### TMMULTIPLE

    public static final int TMMULTIPLE

wait for any asynchronous operation

See Also:
  Constant Field Values

#### TMMIGRATE

    public static final int TMMIGRATE

caller intends to perform migration

See Also:
  Constant Field Values

### Method Detail

#### commit

    public void commit(javax.transaction.xa.Xid aXid,
                       boolean aOnePhase)
                throws javax.transaction.xa.XAException

Specified by:
  `commit` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### end

    public void end(javax.transaction.xa.Xid aXid,
                    int aFlags)
             throws javax.transaction.xa.XAException

Specified by:
  `end` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### forget

    public void forget(javax.transaction.xa.Xid aXid)
                throws javax.transaction.xa.XAException

Specified by:
  `forget` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### getTransactionTimeout

    public int getTransactionTimeout()
                              throws javax.transaction.xa.XAException

Specified by:
  `getTransactionTimeout` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### isSameRM

    public boolean isSameRM(javax.transaction.xa.XAResource aXares)
                     throws javax.transaction.xa.XAException

Specified by:
  `isSameRM` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### prepare

    public int prepare(javax.transaction.xa.Xid aXid)
                throws javax.transaction.xa.XAException

Specified by:
  `prepare` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### recover

    public javax.transaction.xa.Xid[] recover(int aFlag)
                                       throws javax.transaction.xa.XAException

Specified by:
  `recover` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### rollback

    public void rollback(javax.transaction.xa.Xid aXid)
                  throws javax.transaction.xa.XAException

Specified by:
  `rollback` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### setTransactionTimeout

    public boolean setTransactionTimeout(int aSeconds)
                                  throws javax.transaction.xa.XAException

Specified by:
  `setTransactionTimeout` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`

#### start

    public void start(javax.transaction.xa.Xid aXid,
                      int aFlags)
               throws javax.transaction.xa.XAException

Specified by:
  `start` in interface `javax.transaction.xa.XAResource`
Throws:
  `javax.transaction.xa.XAException`